SchedulerService (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.shared

## Interface SchedulerService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    SchedulerServiceImpl

      @RemoteServiceRelativePath(value="scheduler")
      public interface SchedulerService
      extends com.google.gwt.user.client.rpc.RemoteService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `cancel(String scope, String resourceName, String transferId, boolean force)`
    `void` | `createNewFolderInMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope)`
    `String` | `createNewTreeSource(String agentHostname, String agentPort, String scope, String sourceId)`
    `void` | `deleteFolderInMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope)`
    `String` | `deleteTreeSource(String agentHostname, String agentPort, String scope, String sourceId)`
    `String` | `getAgentStatistics(String scope)`
    `String` | `getFileListOfAgent(String path, String agentHostname, String agentPort, String scope)`
    `String` | `getFileListOfDSourceOrDStorage(String type, String dataSourceId, String specificPath, String scope, String resourceName)`
    `String` | `getFileListOfMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope)`
    `String` | `getObjectsFromIS(String type, String scope, String resourceName)`
    `String` | `getOutcomes(String scope, String resourceName, String transferId)`
    `String` | `getTransfers(String scope, String resourceName)`
    `String` | `getTreeSources(String agentHostname, String agentPort, String scope, String type)`
    `String` | `getUserAndScopeAndRole()`
    `String` | `getWorkspace(String username)`
    `String` | `getWorkspaceFolder(String jsonWorkspace, String folderId, boolean needTheParent)`
    `String` | `listFiles(String name)`
    `String` | `monitor(String scope, String resourceName, String transferId)`
    `String` | `schedule(String obj)`

- - ### Method Detail

    - #### listFiles

          String listFiles(String name)
                           throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getTransfers

          String getTransfers(String scope,
                            String resourceName)
                              throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getObjectsFromIS

          String getObjectsFromIS(String type,
                                String scope,
                                String resourceName)
                                  throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### schedule

          String schedule(String obj)
                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### monitor

          String monitor(String scope,
                       String resourceName,
                       String transferId)
                         throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getOutcomes

          String getOutcomes(String scope,
                           String resourceName,
                           String transferId)
                             throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### cancel

          String cancel(String scope,
                      String resourceName,
                      String transferId,
                      boolean force)
                        throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getFileListOfDSourceOrDStorage

          String getFileListOfDSourceOrDStorage(String type,
                                              String dataSourceId,
                                              String specificPath,
                                              String scope,
                                              String resourceName)
                                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getWorkspaceFolder

          String getWorkspaceFolder(String jsonWorkspace,
                                  String folderId,
                                  boolean needTheParent)
                                    throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getUserAndScopeAndRole

          String getUserAndScopeAndRole()
                                        throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getWorkspace

          String getWorkspace(String username)
                              throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getAgentStatistics

          String getAgentStatistics(String scope)
                                    throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getFileListOfMongoDB

          String getFileListOfMongoDB(String smServiceClassSource,
                                    String smServiceNameSource,
                                    String smOwnerSource,
                                    String smAccessTypeSource,
                                    String path,
                                    String scope)
                                      throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getFileListOfAgent

          String getFileListOfAgent(String path,
                                  String agentHostname,
                                  String agentPort,
                                  String scope)
                                    throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### createNewFolderInMongoDB

          void createNewFolderInMongoDB(String smServiceClassSource,
                                      String smServiceNameSource,
                                      String smOwnerSource,
                                      String smAccessTypeSource,
                                      String path,
                                      String scope)
                                        throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### deleteFolderInMongoDB

          void deleteFolderInMongoDB(String smServiceClassSource,
                                   String smServiceNameSource,
                                   String smOwnerSource,
                                   String smAccessTypeSource,
                                   String path,
                                   String scope)
                                     throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getTreeSources

          String getTreeSources(String agentHostname,
                              String agentPort,
                              String scope,
                              String type)
                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### createNewTreeSource

          String createNewTreeSource(String agentHostname,
                                   String agentPort,
                                   String scope,
                                   String sourceId)
                                     throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### deleteTreeSource

          String deleteTreeSource(String agentHostname,
                                String agentPort,
                                String scope,
                                String sourceId)
                                  throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

Copyright © 2015. All Rights Reserved.